import { axios } from '@/utils/request'
//  查询修改标记
export const dealerNewLogEditFlag = (params) => {
  return axios({
    url: `/dealerNewLog/queryUpdateFlag/${params.sn}`,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('查询新客户首笔订单是否修改标记')
    }
  })
}
// 新客户列表
export const dealerNewLogPageList = (params) => {
  const url = `/dealerNewLog/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  新客户导出
export const dealerNewLogExport = (params) => {
  return axios({
    url: '/dealerNewLog/export',
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('新客户导出')
    }
  })
}